/// <reference types="rpio" />
/// <reference types="node" />
declare type PixelFormat = "rgba" | "bgra";
export declare class ILI9341_LCD {
    private readonly rpio;
    readonly width: number;
    readonly height: number;
    readonly rstPin: number;
    readonly dcPin: number;
    constructor(rpio: Rpio, { width, height, rstPin, dcPin }?: {
        width?: number | undefined;
        height?: number | undefined;
        rstPin?: number | undefined;
        dcPin?: number | undefined;
    });
    private moduleInit;
    moduleExit(): void;
    private reset;
    Init(): void;
    private command;
    private data;
    rgb888ToRgb565(buffer: Buffer, { bytesPerPixel, pixelFormat, }?: {
        bytesPerPixel?: number;
        pixelFormat?: PixelFormat;
    }): Buffer;
    private getRgb;
    showImage({ width, height, data, pixelFormat, }: {
        width: number;
        height: number;
        data: Buffer;
        pixelFormat?: PixelFormat;
    }): void;
    private spiWrite;
    clear(): void;
    private setCanvas;
    private setWindows;
}
export {};
